%define name	libtermcap
%define version	2.0.8

%define major		2
%define libname_orig	libtermcap
%define libname		%mklibname termcap %{major}
%define develname	%mklibname termcap -d

Summary:	A basic system library for accessing the termcap database
Name:		%{name}
Version:	%{version}
Release:	%mkrel 53
Source:		termcap-%{version}.tar.bz2
Url:		ftp://metalab.unc.edu/pub/Linux/GCC/
License:	LGPL+
Group:		System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch0:		termcap-2.0.8-shared.patch
Patch1:		termcap-2.0.8-setuid.patch
Patch2:		termcap-2.0.8-instnoroot.patch
Patch3:		termcap-2.0.8-compat21.patch
Patch4:		termcap-2.0.8-xref.patch
Patch5:		termcap-2.0.8-fix-tc.patch
Patch6:		termcap-2.0.8-ignore-p.patch
Patch7:		termcap-buffer.patch
# This patch is a REALLY BAD IDEA without patch #10 below....
Patch8:		termcap-2.0.8-bufsize.patch
Patch9:		termcap-2.0.8-colon.patch
Patch10:	libtermcap-aaargh.patch
# (gc) conflicting definition of `bcopy' against latest glibc 2.1.95
Patch11:	termcap-fix-glibc-2.2.patch
Patch12:	termcap-2.0.8-LDFLAGS.diff
Requires:	termcap
Requires(posttrans):	ldconfig glibc
Requires(postun):	ldconfig
BuildRequires:	texinfo

%description
The libtermcap package contains a basic system library needed to access
the termcap database.  The termcap library supports easy access to the
termcap database, so that programs can output character-based displays in
a terminal-independent manner.

%package -n	%{libname}
Summary:	Development tools for programs which will access the termcap database
Group:		System/Libraries
Obsoletes:	%{libname_orig}
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{libname_orig}

%description -n	%{libname}
The libtermcap package contains a basic system library needed to access
the termcap database.  The termcap library supports easy access to the
termcap database, so that programs can output character-based displays in
a terminal-independent manner.

%package -n	%{develname}
Summary:	Development tools for programs which will access the termcap database
Group:		Development/C
Requires:	%{libname} = %version
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	termcap-devel = %{version}-%{release}
Requires(pre):	filesystem >= 2.1.9-18
Requires(post):	info-install
Requires(preun):	info-install

%description -n	%{develname}
This package includes the libraries and header files necessary for
developing programs which will access the termcap database.

If you need to develop programs which will access the termcap database,
you'll need to install this package.  You'll also need to install the
libtermcap package.

%prep
%setup -q -n termcap-2.0.8
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .nochown
%patch3 -p1 -b .compat21
%patch4 -p1
%patch5 -p1 -b .fix-tc
%patch6 -p1 -b .ignore-p
%patch7 -p1 -b .buffer
%patch8 -p1 -b .bufsize
%patch9 -p1 -b .colon
%patch10 -p1 -b .aaargh
%patch11 -p0
%patch12 -p0

%build
%make CFLAGS="%{optflags} -I." LDFLAGS="%{ldflags}"

%install
rm -rf %{buildroot}
# (gb) They should do proper Makefiles

mkdir -p %{buildroot}%{_libdir}
install -m 644 libtermcap.a %{buildroot}%{_libdir}/
install -m 755 libtermcap.so.* %{buildroot}%{_libdir}/
ln -s libtermcap.so.2.0.8 %{buildroot}%{_libdir}/libtermcap.so
ln -s libtermcap.so.2.0.8 %{buildroot}%{_libdir}/libtermcap.so.2

mkdir -p %{buildroot}%{_infodir}
install -m 644 termcap.info* %{buildroot}%{_infodir}/

mkdir -p %{buildroot}%{_includedir}
install -m 644 termcap.h %{buildroot}%{_includedir}

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 termcap.src %{buildroot}%{_sysconfdir}/termcap

rm -f %{buildroot}%{_sysconfdir}/termcap

%post -n %{develname}
/sbin/install-info \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=%{_infodir} %{_infodir}/termcap.info%{_extension}

%preun -n %{develname}
if [ $1 = 0 ]; then
    /sbin/install-info --delete \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=%{_infodir} %{_infodir}/termcap.info%{_extension}
fi

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog README
%{_infodir}/termcap.info*
%{_libdir}/libtermcap.a
%{_libdir}/libtermcap.so
%{_includedir}/termcap.h




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.8-53.mga3
+ Revision: 358239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 2.0.8-52.mga3
+ Revision: 273158
- Update for usrmove

* Fri Jun 01 2012 blino <blino> 2.0.8-51.mga3
+ Revision: 253181
- move install-info to preun instead of postun, and add proper requires

* Thu Jan 13 2011 pterjan <pterjan> 2.0.8-50.mga1
+ Revision: 16484
- Drop obsolete Obsoletes and scriptlets
- imported package libtermcap

